Bug 1297622 - Review Request: pulp-docker - Support for Docker content in the Pulp platform
Review Request: pulp-docker - Support for Docker content in the Pulp platform
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Miller
Fedora Extras Quality Assurance
:
Depends On: 1297274
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-11 22:26 EST by Randy Barlow
Modified: 2016-01-22 16:26 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-22 16:26:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
admiller: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Randy Barlow 2016-01-11 22:26:54 EST
Spec URL: https://rbarlow.fedorapeople.org/pulp-docker.spec
SRPM URL: https://rbarlow.fedorapeople.org/pulp-docker-2.0.0-0.1.beta.1.fc24.src.rpm
Description: Provides a collection of Pulp server plugins and admin client extensions to support Docker content.

Fedora Account System Username: rbarlow

rpmlint has no warnings or errors:

$ rpmlint /home/rbarlow/rpmbuild/SRPMS/pulp-docker-2.0.0-0.1.beta.1.fc24.src.rpm /home/rbarlow/rpmbuild/RPMS/noarch/pulp-docker-admin-extensions-2.0.0-0.1.beta.1.fc24.noarch.rpm /home/rbarlow/rpmbuild/RPMS/noarch/pulp-docker-doc-2.0.0-0.1.beta.1.fc24.noarch.rpm /home/rbarlow/rpmbuild/RPMS/noarch/pulp-docker-plugins-2.0.0-0.1.beta.1.fc24.noarch.rpm /home/rbarlow/rpmbuild/RPMS/noarch/python2-pulp-docker-common-2.0.0-0.1.beta.1.fc24.noarch.rpm
5 packages and 0 specfiles checked; 0 errors, 0 warnings.

This package depends on the Pulp platform package, which is still in review. Until that is accepted into Fedora, I am unable to perform a Koji scratch build or test this package with fedora-review.
Comment 1 Upstream Release Monitoring 2016-01-11 22:43:42 EST
rbarlow's scratch build of pulp-2.8.0-0.1.beta.1.fc24.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12508634
Comment 2 Adam Miller 2016-01-18 16:07:52 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 92 files have unknown license. Detailed
     output of licensecheck in /home/admiller/reviews/1297622-pulp-
     docker/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /etc/pulp/server, /var/lib/pulp/published,
     /etc/pulp, /etc/pulp/server/plugins.conf.d, /var/lib/pulp
[!]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /etc/pulp/server/plugins.conf.d, /etc/pulp/server, /etc/httpd,
     /var/lib/pulp/published, /etc/httpd/conf.d, /var/lib/pulp, /etc/pulp
[-]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 6 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[!]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in pulp-
     docker-admin-extensions , pulp-docker-doc , pulp-docker-plugins ,
     python2-pulp-docker-common
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: pulp-docker-admin-extensions-2.0.0-0.1.beta.1.fc24.noarch.rpm
          pulp-docker-doc-2.0.0-0.1.beta.1.fc24.noarch.rpm
          pulp-docker-plugins-2.0.0-0.1.beta.1.fc24.noarch.rpm
          python2-pulp-docker-common-2.0.0-0.1.beta.1.fc24.noarch.rpm
          pulp-docker-2.0.0-0.1.beta.1.fc24.src.rpm
5 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
4 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
python2-pulp-docker-common (rpmlib, GLIBC filtered):
    python(abi)
    python2-pulp-common
    python2-setuptools

pulp-docker-doc (rpmlib, GLIBC filtered):

pulp-docker-plugins (rpmlib, GLIBC filtered):
    config(pulp-docker-plugins)
    pulp-server
    python(abi)
    python-nectar
    python2-pulp-common
    python2-pulp-docker-common
    python2-setuptools

pulp-docker-admin-extensions (rpmlib, GLIBC filtered):
    pulp-admin-client
    python(abi)
    python2-pulp-common
    python2-pulp-docker-common
    python2-setuptools



Provides
--------
python2-pulp-docker-common:
    python-pulp-docker-common
    python2-pulp-docker-common

pulp-docker-doc:
    pulp-docker-doc

pulp-docker-plugins:
    config(pulp-docker-plugins)
    pulp-docker-plugins

pulp-docker-admin-extensions:
    pulp-docker-admin-extensions



Source checksums
----------------
https://github.com/pulp/pulp_docker/archive/pulp-docker-2.0.0-0.1.beta.tar.gz :
  CHECKSUM(SHA256) this package     : 5d5a24fa4fbc99e4e9fc7a251a99f17c1cab86c64630a4a3bb8c6f14e94c0229
  CHECKSUM(SHA256) upstream package : 5d5a24fa4fbc99e4e9fc7a251a99f17c1cab86c64630a4a3bb8c6f14e94c0229


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1297622 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6





======
NOTES:
======

Just a small handful of issues, please fix the items marked [!].
Comment 3 Randy Barlow 2016-01-21 23:15:23 EST
Hello Adam!

I believe that the first issue (about not owning the folders) was due to Pulp platform not having been in Fedora at the time of your review yet. When I run fedora-review now that Pulp is in Fedora, I do not see those errors.

I removed the defattr statements, and used attr instead in the one place it was needed.

"Fully versioned dependency in subpackages if applicable." There is not actually a package called pulp-docker, so I don't think it makes sense for the subpackages to depend on pulp-docker. Do you agree?

I've gone ahead and packaged a 0.3.beta from upstream that was released this week and fixed the defattr thing:

Spec URL: https://rbarlow.fedorapeople.org/pulp-docker.spec
SRPM URL: https://rbarlow.fedorapeople.org/pulp-docker-2.0.0-0.3.beta.1.fc24.src.rpm
Comment 4 Upstream Release Monitoring 2016-01-21 23:18:11 EST
rbarlow's scratch build of pulp-docker-2.0.0-0.3.beta.1.fc24.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12642835
Comment 5 Adam Miller 2016-01-22 14:36:02 EST
Looks good!

APPROVED
Comment 6 Gwyn Ciesla 2016-01-22 15:51:09 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/pulp-docker

Note You need to log in before you can comment on or make changes to this bug.